ToOneDelegateSessionImplementor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation.lazy
Class ToOneDelegateSessionImplementor

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.lazy.AbstractDelegateSessionImplementor
          org.hibernate.envers.entities.mapper.relation.lazy.ToOneDelegateSessionImplementor

All Implemented Interfaces:
  Serializable, LobCreationContext, SessionImplementor

    public class ToOneDelegateSessionImplementor

extends AbstractDelegateSessionImplementor

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.engine.jdbc.LobCreationContext
`LobCreationContext.Callback<T>`

Field Summary

Fields inherited from class org.hibernate.envers.entities.mapper.relation.lazy.AbstractDelegateSessionImplementor
`delegate`

Constructor Summary
`ToOneDelegateSessionImplementor(AuditReaderImplementor versionsReader, Class<?> entityClass, Object entityId, Number revision, AuditConfiguration verCfg)`

Method Summary
`Object` | `doImmediateLoad(String entityName)`

Methods inherited from class org.hibernate.envers.entities.mapper.relation.lazy.AbstractDelegateSessionImplementor
`afterScrollOperation, applyNonFlushedChanges, bestGuessEntityName, connection, disableTransactionAutoJoin, execute, executeNativeUpdate, executeUpdate, flush, generateCacheKey, generateEntityKey, getCacheMode, getContextEntityIdentifier, getDontFlushFromFind, getEnabledFilters, getEntityPersister, getEntityUsingInterceptor, getFactory, getFetchProfile, getFilterParameterType, getFilterParameterValue, getFlushMode, getInterceptor, getJdbcConnectionAccess, getLoadQueryInfluencers, getNamedQuery, getNamedSQLQuery, getNonFlushedChanges, getPersistenceContext, getTenantIdentifier, getTimestamp, getTransactionCoordinator, guessEntityName, immediateLoad, initializeCollection, instantiate, internalLoad, isClosed, isConnected, isEventSource, isOpen, isTransactionInProgress, iterate, iterateFilter, list, list, list, listCustomQuery, listFilter, scroll, scroll, scroll, scrollCustomQuery, setAutoClear, setCacheMode, setFetchProfile, setFlushMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToOneDelegateSessionImplementor

    public ToOneDelegateSessionImplementor(AuditReaderImplementor versionsReader,
                                           Class<?> entityClass,
                                           Object entityId,
                                           Number revision,
                                           AuditConfiguration verCfg)

Method Detail

### doImmediateLoad

    public Object doImmediateLoad(String entityName)
                           throws HibernateException

  Specified by:
    `doImmediateLoad` in class `AbstractDelegateSessionImplementor`
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.